/* treewm - an X11 window manager.
 * Copyright (c) 2000 Thomas Jger <thehunter2000@web.de>
 * This code is released under the terms of the GNU GPL. See
 * the included file LICENSE for details.
 */

#ifndef CLIENTTREE_H
#define CLIENTTREE_H

#include "global.h"
#include "desktop.h" // because of inline functions
#include "manager.h"
#include "uehandler.h"
#include <hash_map>
#include <regex.h>


struct WatchList {
  ClientInfo *ci;
  char *cmd;
  Desktop *parent;
  regex_t *preg;
  char *wmclass;
  bool keep;
  WatchList *next;
};

typedef hash_map<Window,TWindow *> Wmap;
typedef Wmap::value_type WmapPair;
typedef Wmap::iterator WmapIter;


class ClientTree {
  public:
	  ClientTree();
    ~ClientTree();
    Client *AddWindow(Window);
    char *GetWindowCommand(Window);
    WatchList *GetWatch(char *, char *,XClassHint);
    void AddWatch(Desktop *,ClientInfo *,char *,char *,char *,bool);
    Client *FindClient(Window, Icon **);
    void RemoveClientReferences(Client *);
    inline Client *FindPointerClient();
    Wmap windows;
    Desktop *RootDesktop,*CurrentDesktop;
    Client *Current;
    Client *Last;
    Client *Focus;
    Client *MaxWindow;
    char *notitle;
    char *rootname;
    int numregex,numcmd,numwmclass;
    WatchList *watch;
    Window RootBorder[4];
};

inline Client *ClientTree::FindPointerClient() {
  return RootDesktop->FindPointerClient();
};


extern ClientTree *ct;

#endif
