/* treewm - an X11 window manager.
 * Copyright (c) 2000 Thomas Jger <thehunter2000@web.de>
 * This code is released under the terms of the GNU GPL. See
 * the included file LICENSE for details.
 */

#ifndef MENU_H
#define MENU_H

#include "global.h"

#define MENUSPACE 2
#define MENUINDENT (EHeight/2)

#define MF_INDENT 16

struct MenuItem {
  char *text;
  char *key;
  unsigned int flags;
  void *data;
};

class Menu : public TWindow  {
public: 
	Menu(const MenuItem*,int,Sceme *,int,int);
	virtual ~Menu();
	virtual void Init();
	void Mouse(int,int);
	void Key(XKeyEvent &);
	void DrawItem(int i);
	void ReDraw();
	int Remove();
	Sceme *Sc;
	Window window;
	int x,y,width,height;
	int n,sel;
	int EHeight;
	const MenuItem *items;
};

#endif
